Unable to download open3d library for ALPACA

Hi all,

I am trying to run some 3D morphometrics on ALPACA (a program within slicermorph) and every time I try to run it, it tells me “ALPACA requires open3d library. Installation will take a few minutes” then a whole installation sequence takes place in python. However, I keep running into this error and I am not sure how to remedy it.

"ERROR: Command errored out with exit status 1: ‘C:\Users\blakk\AppData\Local\NA-MIC\Slicer 4.11.20210226\bin\python-real.exe’ ‘C:\Users\blakk\AppData\Local\NA-MIC\Slicer 4.11.20210226\lib\Python\Lib\site-packages\pip_vendor\pep517_in_process.py’ prepare_metadata_for_build_wheel ‘C:\Users\blakk\AppData\Local\Temp\tmp2c6x03is’ Check the logs for full command output.
WARNING: You are using pip version 20.3.3; however, version 21.3.1 is available.
You should consider upgrading via the ‘C:\Users\blakk\AppData\Local\NA-MIC\Slicer 4.11.20210226\bin\python-real.exe -m pip install --upgrade pip’ command.
Traceback (most recent call last):
File “C:/Users/blakk/AppData/Local/NA-MIC/Slicer 4.11.20210226/NA-MIC/Extensions-29738/SlicerMorph/lib/Slicer-4.11/qt-scripted-modules/ALPACA.py”, line 52, in init
import open3d as o3d
ModuleNotFoundError: No module named ‘open3d’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:/Users/blakk/AppData/Local/NA-MIC/Slicer 4.11.20210226/NA-MIC/Extensions-29738/SlicerMorph/lib/Slicer-4.11/qt-scripted-modules/ALPACA.py”, line 56, in init
slicer.util.pip_install(‘notebook==6.0.3’)
File “C:\Users\blakk\AppData\Local\NA-MIC\Slicer 4.11.20210226\bin\Python\slicer\util.py”, line 2876, in pip_install
_executePythonModule(‘pip’, args)
File “C:\Users\blakk\AppData\Local\NA-MIC\Slicer 4.11.20210226\bin\Python\slicer\util.py”, line 2851, in _executePythonModule
logProcessOutput(proc)
File “C:\Users\blakk\AppData\Local\NA-MIC\Slicer 4.11.20210226\bin\Python\slicer\util.py”, line 2820, in logProcessOutput
raise CalledProcessError(retcode, proc.args, output=proc.stdout, stderr=proc.stderr)
subprocess.CalledProcessError: Command ‘[‘C:/Users/blakk/AppData/Local/NA-MIC/Slicer 4.11.20210226/bin/…/bin\PythonSlicer.EXE’, ‘-m’, ‘pip’, ‘install’, ‘notebook==6.0.3’]’ returned non-zero exit status 1."

I appreciate any help possible and thank you in advance.

Thanks @Khanine, we are updating the ALPACA module to use a more recent version of the open3d library to correct this issue. The new version should be available tomorrow through the extension manager, or later today if you’d like to update it manually.

Thank you so much! I appreciate this a lot!

1 Like

@Khanine The fix is up on the SlicerMorph repo and you should be able to update it through the extension manager tomorrow. You can also correct it in your installation by running the following line in the Python Interactor:

pip_install('pywinpty==1.1.6')

and then opening the ALPACA module.

Hi! i have a similar problem, but in my case the error is:

WARNING: You are using pip version 22.0.3; however, version 22.0.4 is available.
You should consider upgrading via the ‘C:\Users\Slicer\Slicer 5.1.0-2022-05-01\bin\python-real.exe -m pip install --upgrade pip’ command.
Traceback (most recent call last):
File “C:/Users/Slicer/Slicer 5.1.0-2022-05-01/NA-MIC/Extensions-30915/SlicerMorph/lib/Slicer-5.1/qt-scripted-modules/ALPACA.py”, line 149, in init
slicer.util.pip_install([wheelPath])
File “C:\Users\Slicer\Slicer 5.1.0-2022-05-01\bin\Python\slicer\util.py”, line 3431, in pip_install
_executePythonModule(‘pip’, args)
File “C:\Users\Slicer\Slicer 5.1.0-2022-05-01\bin\Python\slicer\util.py”, line 3394, in _executePythonModule
logProcessOutput(proc)
File “C:\Users\Slicer\Slicer 5.1.0-2022-05-01\bin\Python\slicer\util.py”, line 3363, in logProcessOutput
raise CalledProcessError(retcode, proc.args, output=proc.stdout, stderr=proc.stderr)
subprocess.CalledProcessError: Command ‘[‘C:/Users/Slicer/Slicer 5.1.0-2022-05-01/bin/…/bin\PythonSlicer.EXE’, ‘-m’, ‘pip’, ‘install’, ‘C:/Users/Sebastián Aguayo/Documents/3D Slicer/open3d-0.14.1+816263b-cp39-cp39-win_amd64.whl’]’ returned non-zero exit status 1.

The line pip_install(‘pywinpty==1.1.6’) doesn’t work for me.

I’m new to slicermorph and thanks in advance for any help

This was only needed for Slicer 4.11.2021026.

Since you are using recent Slicer preview, you should be able to skip that step. Did you attempt this because you ran into a problem using latest Slicer Preview? Or were you just following some older instructions?

yes i tried because the loading bar never ends it stays on “Upgrading open3d. This may take a minute…”

@Sebastian_Rodrigo_Ag could you try running these lines from the Python Interactor?

wheelPath = ‘C:/Users/Sebastián Aguayo/Documents/3D Slicer/open3d-0.14.1+816263b-cp39-cp39-win_amd64.whl’
pip_install([wheelPath])

Hello Sara, first of all thank you very much for the answer. I entered the code and it sends me this error:

wheelPath = ‘C:/Users/Sebastián Aguayo/Documents/3D Slicer/open3d-0.14.1+816263b-cp39-cp39-win_amd64.whl’
File “”, line 1
wheelPath = ‘C:/Users/Sebastián Aguayo/Documents/3D Slicer/open3d-0.14.1+816263b-cp39-cp39-win_amd64.whl’
^
SyntaxError: invalid character ‘‘’ (U+2018)

pip_install([wheelPath])
Traceback (most recent call last):
File “”, line 1, in
NameError: name ‘wheelPath’ is not defined

maybe it’s because of the “´” in Sebastián

I have corrected the issue causing the filename bug in the most recent version of ALPACA, could you try updating?

Should i update slicermorph then? Thank you!

Yes, please install the latest stable (5.0.2) and then install SlicerMorph to have the latest changes to the ALPACA. You should no problem with the latest stable.